#pragma once
#include "dinkyecs.hpp"
#include "map.hpp"
#include "combat.hpp"
#include <deque>

namespace Components {
  struct Player {
    DinkyECS::Entity entity;
  };

  struct Position {
    Point location;
  };

  struct Motion {
    int dx;
    int dy;
  };

  struct Treasure {
    int amount;
  };

  struct Tile {
    std::string chr = "!";
  };
}
